Bug 439774 - openmpi install script creates invalid symlinks
openmpi install script creates invalid symlinks
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openmpi (Show other bugs)
5.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Doug Ledford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 07:38 EDT by Milos Malik
Modified: 2008-09-17 18:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-17 18:45:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-03-31 07:38:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; cs-CZ; rv:1.8.1.13) Gecko/20080325 Fedora/2.0.0.13-1.fc8 Firefox/2.0.0.13

Description of problem:
The %post scriptlet of the openmpi package creates invalid symbolic links, because it assumes that the man pages are gzipped. But they aren't.

Version-Release number of selected component (if applicable):
openmpi-1.2.3-4

How reproducible:
Always


Steps to Reproduce:
1. ls -l /etc/alternatives/mpi-run-man
2. ls -l /etc/alternatives/mpi-exec-man

Actual Results:
In the spec file of openmpi-*.src.rpm you can see:

        --slave %{_mandir}/man1/mpirun.1.gz mpi-run-man \
                %{_datadir}/%{mpidir}/man/man1/mpirun.1.gz \
        --slave %{_mandir}/man1/mpiexec.1.gz mpi-exec-man \
                %{_datadir}/%{mpidir}/man/man1/orterun.1.gz

Expected Results:
In the spec file of openmpi-*.src.rpm you can see:

        --slave %{_mandir}/man1/mpirun.1.gz mpi-run-man \
                %{_datadir}/%{mpidir}/man/man1/mpirun.1 \
        --slave %{_mandir}/man1/mpiexec.1.gz mpi-exec-man \
                %{_datadir}/%{mpidir}/man/man1/orterun.1

Additional info:
Comment 1 Milos Malik 2008-03-31 07:44:57 EDT
There are 2 mistakes in Expected Results. The man pages are not gzipped, so
symbolic links must not pretend to be gzipped.

        --slave %{_mandir}/man1/mpirun.1 mpi-run-man \
                %{_datadir}/%{mpidir}/man/man1/mpirun.1 \
        --slave %{_mandir}/man1/mpiexec.1 mpi-exec-man \
                %{_datadir}/%{mpidir}/man/man1/orterun.1
Comment 2 Milos Malik 2008-03-31 12:49:36 EDT
Other solution of this problem would be to gzip those man pages and do not
modify the scriptlet.
Comment 3 RHEL Product and Program Management 2008-07-21 19:04:16 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 5 RHEL Product and Program Management 2008-07-28 15:52:14 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Doug Ledford 2008-09-17 18:45:11 EDT
The current openmpi update no longer uses the alternatives system at all, and therefore no man page links, and so this problem is no longer a problem.

Note You need to log in before you can comment on or make changes to this bug.